from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XEventTarget(XInterface, Protocol):
    def addEventListener(self, eventType: str, listener: XEventListener, useCapture: bool) -> None: ...
    def removeEventListener(self, eventType: str, listener: XEventListener, useCapture: bool) -> None: ...
